View Issue Details

IDProjectCategoryView StatusLast Update
0001513XdebugStep Debuggingpublic2018-01-07 18:05
ReporterLanaZem Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.6.0beta1 
Summary0001513: Xdebug returns escaped property fullname with enabled extended_properties
DescriptionIf property fullname contains backslashes Xdebug will escape it in 'property_get' response even in extended properties format.
Steps To Reproduce1) Create a php file
<?php

namespace TestA\TestB\TestC;

class A
{
    private $items;

    public function __construct()
    {
        $this->items = array("\x0" => 1);
    }
}

class B extends A {
    public function foo() {
        echo 1; // Set breakpoint here and inspect $items
    }
}

(new B())->foo();

2) Put breakpoint inside 'foo' method and start debugging.

3) Call 'property_get' command for '*TestA\TestB\TestC\A*items'.
<- property_get -i 20 -n $this->*TestA\\TestB\\TestC\\A*items -d 0 -c 0 -p 0

Result:
<property name="$this->*TestA\\TestB\\TestC\\A*items" fullname="$this->*TestA\\TestB\\TestC\\A*items" type="array" children="1" numchildren="1" page="0" pagesize="100">
<property type="int">
<name encoding="base64"><![CDATA[AA==]]></name>
<fullname encoding="base64"><![CDATA[JHRoaXMtPipUZXN0QVxcVGVzdEJcXFRlc3RDXFxBKml0ZW1zWyIAIl0=]]></fullname><value encoding="base64"><![CDATA[MQ==]]></value>
</property>

Where fullname decodes in "$this->*TestA\\TestB\\TestC\\A*items["\x0"]"
TagsNo tags attached.
Operating System
PHP Version7.1.0-7.1.4

Relationships

duplicate of 0001512 closedderick Xdebug does not properly encode and escape properties with quotes and \0 characters. 

Activities

LanaZem

2018-01-05 12:55

reporter  

xdebug_2.6beta_extended_properties.log (23,068 bytes)   
Log opened at 2018-01-05 12:46:23
I: Connecting to configured address/port: 127.0.0.1:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///home/user/PhpstormProjects/xdebug_escaping/escaped_name.php" language="PHP" xdebug:language_version="7.1.1" protocol_version="1.0" appid="23112" idekey="10184"><engine version="2.6.0beta1"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2017 by Derick Rethans]]></copyright></init>

<- feature_set -i 1 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

<- feature_set -i 2 -n max_depth -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

<- feature_set -i 3 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

<- feature_set -i 4 -n extended_properties -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="extended_properties" success="1"></response>

<- status -i 5
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="status" transaction_id="5" status="starting" reason="ok"></response>

<- step_into -i 6
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="6" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/xdebug_escaping/escaped_name.php" lineno="5"></xdebug:message></response>

<- breakpoint_set -i 7 -t line -f file:///home/user/PhpstormProjects/xdebug_escaping/no_escaped_name.php -n 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="7" id="231120001"></response>

<- breakpoint_set -i 8 -t line -f file:///home/user/PhpstormProjects/xdebug_escaping/test2.php -n 29
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="8" id="231120002"></response>

<- breakpoint_set -i 9 -t line -f file:///home/user/PhpstormProjects/xdebug_escaping/spl_xdebug_fail.php -n 17
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="9" id="231120003"></response>

<- breakpoint_set -i 10 -t line -f file:///home/user/PhpstormProjects/xdebug_escaping/test.php -n 50
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="10" id="231120004"></response>

<- breakpoint_set -i 11 -t line -f file:///home/user/PhpstormProjects/xdebug_escaping/extended_properties.php -n 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="11" id="231120005"></response>

<- breakpoint_set -i 12 -t line -f file:///home/user/PhpstormProjects/xdebug_escaping/escaped_name.php -n 17
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="12" id="231120006"></response>

<- stack_get -i 13
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="13"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/xdebug_escaping/escaped_name.php" lineno="5"></stack></response>

<- run -i 14
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="14" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/xdebug_escaping/escaped_name.php" lineno="17"></xdebug:message></response>

<- stack_get -i 15
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="15"><stack where="TestA\TestB\TestC\B-&gt;foo" level="0" type="file" filename="file:///home/user/PhpstormProjects/xdebug_escaping/escaped_name.php" lineno="17"></stack><stack where="{main}" level="1" type="file" filename="file:///home/user/PhpstormProjects/xdebug_escaping/escaped_name.php" lineno="21"></stack></response>

<- context_names -i 16
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="16"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 17 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="17" context="0"><property name="$this" fullname="$this" type="object" classname="TestA\TestB\TestC\B" children="1" numchildren="1" page="0" pagesize="100"><property name="*TestA\TestB\TestC\A*items" fullname="$this-&gt;*TestA\TestB\TestC\A*items" facet="private" type="array" children="1" numchildren="1"></property></property></response>

<- context_get -i 18 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="18" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="88" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="176" encoding="base64"><![CDATA[Li9iaW4vOi4vc2Jpbi86Li9nYW1lcy86Li4vYmluLzouLi9zYmluLzovaG9tZS91c2VyL2JpbjovaG9tZS91c2VyLy5sb2NhbC9iaW46L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmluOi91c3IvZ2FtZXM6L3Vzci9sb2NhbC9nYW1lczovc25hcC9iaW4=]]></property><property name="XAUTHORITY" fullname="$_SERVER[&quot;XAUTHORITY&quot;]" type="string" size="22" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uWGF1dGhvcml0eQ==]]></property><property name="LC_MEASUREMENT" fullname="$_SERVER[&quot;LC_MEASUREMENT&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LC_TELEPHONE" fullname="$_SERVER[&quot;LC_TELEPHONE&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&quot;XMODIFIERS&quot;]" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&quot;MANDATORY_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5tYW5kYXRvcnkucGF0aA==]]></property><property name="GDMSESSION" fullname="$_SERVER[&quot;GDMSESSION&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&quot;XDG_DATA_DIRS&quot;]" type="string" size="78" encoding="base64"><![CDATA[Li9zaGFyZS86L3Vzci9zaGFyZS9nbm9tZTovdXNyL2xvY2FsL3NoYXJlLzovdXNyL3NoYXJlLzovdmFyL2xpYi9zbmFwZC9kZXNrdG9w]]></property><property name="LC_TIME" fullname="$_SERVER[&quot;LC_TIME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="PAPERSIZE" fullname="$_SERVER[&quot;PAPERSIZE&quot;]" type="string" size="6" encoding="base64"><![CDATA[bGV0dGVy]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&quot;GTK_IM_MODULE&quot;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="QT_QPA_PLATFORM_PLUGIN_PATH" fullname="$_SERVER[&quot;QT_QPA_PLATFORM_PLUGIN_PATH&quot;]" type="string" size="23" encoding="base64"><![CDATA[c2hhcmUvamV0YnJhaW5zLXRvb2xib3g=]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="34" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMtMDNaYmF5ZDA1Sw==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&quot;DEFAULTS_PATH&quot;]" type="string" size="35" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5kZWZhdWx0LnBhdGg=]]></property><property name="APPIMAGE" fullname="$_SERVER[&quot;APPIMAGE&quot;]" type="string" size="63" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYmluL2pldGJyYWlucy10b29sYm94]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&quot;XDG_CURRENT_DESKTOP&quot;]" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="DESKTOP_AUTOSTART_ID" fullname="$_SERVER[&quot;DESKTOP_AUTOSTART_ID&quot;]" type="string" size="48" encoding="base64"><![CDATA[MTAzMDkzOTI2MThjMTkwNmIwMTUxNDk5MDY4MTUyNDI3ODAwMDAwMDE3MTYwMDAz]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER[&quot;LD_LIBRARY_PATH&quot;]" type="string" size="199" encoding="base64"><![CDATA[c2hhcmUvamV0YnJhaW5zLXRvb2xib3g6c2hhcmUvamV0YnJhaW5zLXRvb2xib3gvbGliOi4vbGliLzouL2xpYi9pMzg2LWxpbnV4LWdudS86Li9saWIveDg2XzY0LWxpbnV4LWdudS86Li9saWIzMi86Li9saWI2NC86Li4vbGliLzouLi9saWIvaTM4Ni1saW51eC1nbnUvOi4uL2xpYi94ODZfNjQtbGludXgtZ251LzouLi9saWIzMi86Li4vbGliNjQvOg==]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&quot;QT4_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="UPSTART_SESSION" fullname="$_SERVER[&quot;UPSTART_SESSION&quot;]" type="string" size="51" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vY29tL3VidW50dS91cHN0YXJ0LXNlc3Npb24vMTAwMC8xNDYx]]></property><property name="QT_LINUX_ACCESSIBILITY_ALWAYS_ON" fullname="$_SERVER[&quot;QT_LINUX_ACCESSIBILITY_ALWAYS_ON&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&quot;SESSION_MANAGER&quot;]" type="string" size="71" encoding="base64"><![CDATA[bG9jYWwvbXVuaXQtMDcwOkAvdG1wLy5JQ0UtdW5peC8xNzE2LHVuaXgvbXVuaXQtMDcwOi90bXAvLklDRS11bml4LzE3MTY=]]></property><property name="LC_PAPER" fullname="$_SERVER[&quot;LC_PAPER&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LOGNAME" fullname="$_SERVER[&quot;LOGNAME&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTEwMTg0]]></property><property name="PWD" fullname="$_SERVER[&quot;PWD&quot;]" type="string" size="43" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZw==]]></property><property name="JOB" fullname="$_SERVER[&quot;JOB&quot;]" type="string" size="4" encoding="base64"><![CDATA[ZGJ1cw==]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&quot;IM_CONFIG_PHASE&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LANGUAGE" fullname="$_SERVER[&quot;LANGUAGE&quot;]" type="string" size="8" encoding="base64"><![CDATA[ZW5fVVM6ZW4=]]></property><property name="force_s3tc_enable" fullname="$_SERVER[&quot;force_s3tc_enable&quot;]" type="string" size="4" encoding="base64"><![CDATA[dHJ1ZQ==]]></property><property name="PYTHONPATH" fullname="$_SERVER[&quot;PYTHONPATH&quot;]" type="string" size="18" encoding="base64"><![CDATA[Li9zaGFyZS9weXNoYXJlZC86]]></property><property name="SHELL" fullname="$_SERVER[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="LC_ADDRESS" fullname="$_SERVER[&quot;LC_ADDRESS&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE" fullname="$_SERVER[&quot;GIO_LAUNCHED_DESKTOP_FILE&quot;]" type="string" size="54" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uY29uZmlnL2F1dG9zdGFydC9qZXRicmFpbnMtdG9vbGJveC5kZXNrdG9w]]></property><property name="INSTANCE" fullname="$_SERVER[&quot;INSTANCE&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="GTK2_MODULES" fullname="$_SERVER[&quot;GTK2_MODULES&quot;]" type="string" size="17" encoding="base64"><![CDATA[b3ZlcmxheS1zY3JvbGxiYXI=]]></property><property name="OLDPWD" fullname="$_SERVER[&quot;OLDPWD&quot;]" type="string" size="73" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYXBwcy9JREVBLVUvY2gtMC8xNzMuNDMwMS4xL2Jpbg==]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&quot;GNOME_DESKTOP_SESSION_ID&quot;]" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_SERVER[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&quot;CLUTTER_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="XDG_SESSION_PATH" fullname="$_SERVER[&quot;XDG_SESSION_PATH&quot;]" type="string" size="40" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZXNzaW9uMA==]]></property><property name="APPDIR" fullname="$_SERVER[&quot;APPDIR&quot;]" type="string" size="18" encoding="base64"><![CDATA[L3RtcC8ubW91bnRfaHg5NFl1]]></property><property name="SESSIONTYPE" fullname="$_SERVER[&quot;SESSIONTYPE&quot;]" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SHLVL" fullname="$_SERVER[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[MA==]]></property><property name="LC_IDENTIFICATION" fullname="$_SERVER[&quot;LC_IDENTIFICATION&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="QT_PLUGIN_PATH" fullname="$_SERVER[&quot;QT_PLUGIN_PATH&quot;]" type="string" size="262" encoding="base64"><![CDATA[Li9saWIvcXQ0L3BsdWdpbnMvOi4vbGliL2kzODYtbGludXgtZ251L3F0NC9wbHVnaW5zLzouL2xpYi94ODZfNjQtbGludXgtZ251L3F0NC9wbHVnaW5zLzouL2xpYjMyL3F0NC9wbHVnaW5zLzouL2xpYjY0L3F0NC9wbHVnaW5zLzouL2xpYi9xdDUvcGx1Z2lucy86Li9saWIvaTM4Ni1saW51eC1nbnUvcXQ1L3BsdWdpbnMvOi4vbGliL3g4Nl82NC1saW51eC1nbnUvcXQ1L3BsdWdpbnMvOi4vbGliMzIvcXQ1L3BsdWdpbnMvOi4vbGliNjQvcXQ1L3BsdWdpbnMvOg==]]></property><property name="LC_MONETARY" fullname="$_SERVER[&quot;LC_MONETARY&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&quot;QT_IM_MODULE&quot;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&quot;XFILESEARCHPATH&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="50" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lOi91c3Ivc2hhcmUvdXBzdGFydC94ZGc6L2V0Yy94ZGc=]]></property><property name="XDG_SEAT_PATH" fullname="$_SERVER[&quot;XDG_SEAT_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZWF0MA==]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&quot;GNOME_KEYRING_CONTROL&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="LANG" fullname="$_SERVER[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="PERLLIB" fullname="$_SERVER[&quot;PERLLIB&quot;]" type="string" size="28" encoding="base64"><![CDATA[Li9zaGFyZS9wZXJsNS86Li9saWIvcGVybDUvOg==]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&quot;XDG_SESSION_ID&quot;]" type="string" size="2" encoding="base64"><![CDATA[YzI=]]></property><property name="DISPLAY" fullname="$_SERVER[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="OWD" fullname="$_SERVER[&quot;OWD&quot;]" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="LC_NAME" fullname="$_SERVER[&quot;LC_NAME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="GDM_LANG" fullname="$_SERVER[&quot;GDM_LANG&quot;]" type="string" size="5" encoding="base64"><![CDATA[ZW5fVVM=]]></property><property name="XDG_GREETER_DATA_DIR" fullname="$_SERVER[&quot;XDG_GREETER_DATA_DIR&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3Zhci9saWIvbGlnaHRkbS1kYXRhL3VzZXI=]]></property><property name="SESSION" fullname="$_SERVER[&quot;SESSION&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&quot;DESKTOP_SESSION&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&quot;GPG_AGENT_INFO&quot;]" type="string" size="33" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDG_MENU_PREFIX" fullname="$_SERVER[&quot;XDG_MENU_PREFIX&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z25vbWUt]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE_PID" fullname="$_SERVER[&quot;GIO_LAUNCHED_DESKTOP_FILE_PID&quot;]" type="string" size="4" encoding="base64"><![CDATA[MTkxMQ==]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LC_NUMERIC" fullname="$_SERVER[&quot;LC_NUMERIC&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SEAT" fullname="$_SERVER[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="NLSPATH" fullname="$_SERVER[&quot;NLSPATH&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="QT_QPA_PLATFORMTHEME" fullname="$_SERVER[&quot;QT_QPA_PLATFORMTHEME&quot;]" type="string" size="11" encoding="base64"><![CDATA[YXBwbWVudS1xdDU=]]></property><property name="GSETTINGS_SCHEMA_DIR" fullname="$_SERVER[&quot;GSETTINGS_SCHEMA_DIR&quot;]" type="string" size="26" encoding="base64"><![CDATA[Li9zaGFyZS9nbGliLTIuMC9zY2hlbWFzLzo=]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER[&quot;GNOME_KEYRING_PID&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="60" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9lc2NhcGVkX25hbWUucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="60" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9lc2NhcGVkX25hbWUucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="60" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9lc2NhcGVkX25hbWUucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&quot;PATH_TRANSLATED&quot;]" type="string" size="60" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9lc2NhcGVkX25hbWUucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1515156383.6444]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1515156383]]></property><property name="argv" fullname="$_SERVER[&quot;argv&quot;]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&quot;argc&quot;]" type="int"><![CDATA[1]]></property></property></response>

<- context_get -i 19 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="19" context="2"></response>

<- property_get -i 20 -n $this->*TestA\\TestB\\TestC\\A*items -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="20"><property name="$this-&gt;*TestA\\TestB\\TestC\\A*items" fullname="$this-&gt;*TestA\\TestB\\TestC\\A*items" type="array" children="1" numchildren="1" page="0" pagesize="100"><property type="int"><name encoding="base64"><![CDATA[AA==]]></name><fullname encoding="base64"><![CDATA[JHRoaXMtPipUZXN0QVxcVGVzdEJcXFRlc3RDXFxBKml0ZW1zWyIAIl0=]]></fullname><value encoding="base64"><![CDATA[MQ==]]></value></property></property></response>

<- run -i 21
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="21" status="stopping" reason="ok"></response>

<- run -i 22
Log closed at 2018-01-05 12:46:38

derick

2018-01-07 18:05

administrator   ~0004552

Turned out to be a duplicate of 0001512. Just like there, you shouldn't escape the property_get command.

Issue History

Date Modified Username Field Change
2018-01-05 12:55 LanaZem New Issue
2018-01-05 12:55 LanaZem File Added: xdebug_2.6beta_extended_properties.log
2018-01-07 18:05 derick Note Added: 0004552
2018-01-07 18:05 derick Relationship added duplicate of 0001512
2018-01-07 18:05 derick Status new => resolved
2018-01-07 18:05 derick Resolution open => fixed
2018-01-07 18:05 derick Assigned To => derick
2020-03-12 16:33 derick Category Remote Debugging => Step Debugging